Package org.apache.solr.client.solrj.request

## Class CollectionBackupsApi

- java.lang.Object
- - org.apache.solr.client.solrj.request.CollectionBackupsApi

    public class CollectionBackupsApi
    extends Object

### Nested Class Summary

Nested Classes
`static class` `CollectionBackupsApi.DeleteMultipleBackupsByRecency`
`static class` `CollectionBackupsApi.DeleteMultipleBackupsByRecencyResponse`
`static class` `CollectionBackupsApi.DeleteSingleBackupById`
`static class` `CollectionBackupsApi.DeleteSingleBackupByIdResponse`
`static class` `CollectionBackupsApi.GarbageCollectUnusedBackupFiles`
`static class` `CollectionBackupsApi.GarbageCollectUnusedBackupFilesResponse`
`static class` `CollectionBackupsApi.ListBackupsAtLocation`
`static class` `CollectionBackupsApi.ListBackupsAtLocationResponse`

### Constructor Summary

Constructors
`CollectionBackupsApi()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionBackupsApi

    public CollectionBackupsApi()